Please disregard the 'View article...' shown at the bottom of many posts as this is the result of restoring old forum posts from a backup.

v2.3.7patch4 released with several regression fixes and tweaks

edited May 2016 in Announcements
The third patch to the v2.3.7 release is available. v2.3.4 patch #4 can be applied to any site already running v2.3.7, v2.3.7patch1, v2.3.7patch2, or v2.3.7patch3. It should be noted that the new 'Update permissions' upgrade scripts will help lock down the site by updating ALL file and folder permissions except for the 'cgi-bin' folder, including turning off the 'execute' bit. We recommend any site running v2.3.0 or later to update to v2.3.7 then install this patch. INSTALL AS AN EXTENSION PATCH,

v237patch4 adds these features to v237, v237patch1, v237patch2, and v237patch3:
- better implementation of theme styles within WYSIWYG editor format menus, esp in text module inline edit
- adds WYSIWYG editor 'addtional configs' setting to help with some custom plugin requirements
- (finally) implements fonts, styles, & blocks toolbar configuration settings implementation for TinyMCE
- adds image tools, image caption, and drag/drop image support for TinyMCE
- adds quicktables and showborder (for tables) plugins to CKEditor
- adds optional font icon selection for menu items in bootstrap3 based themes; also allows supressing the menu item text
- adds optional server error document handling so we got to not-found instead of logging it as a search
- adds readable date/time tooltip in database manager table view (like we do for serialized data)
- adds a 'total bytes saved' to optimize database results view
- adds passing an array of scripts through expJavascript::pushToFoot
- adds warning messages is less compiler is unable to create output folder or file
- now allows passing an array of javascript src's in expJavascript::pushToFoot()
- adds support for optional HTML2PDF pdf engine

v237patch4 fixes these issues in v237, v237patch1, v237patch2, and v237patch3:
- Regression fix unable to add new text item in text module inline edit view if no items already exist
- Regression fix text item body in text module inline edit view passed as garbage on save
- Regression fix file uploader control did not recognize 'accept' parameter in bootstrap2/3 themes
- Regression fix getting mp3 file ID3 tag comments for more precise rss/podcast details
- Regression fix bootstrap 2/3 navbar on small screens may not always drop down/appear
- Regression fix upcoming events were displayed until end of day instead of until end of event
- Regression fix page crash when returning to elFinder from Pixlr editor
- Regression fix elFinder search broken under php v5.3
- Regression fix patch#3 removed kludges from main .htaccess which sent all missing files (.js, .css, images, etc...) through expRouter
- Regression fix database manager filtered table phrase not highlighted in table results
- Regression fix possible errors with Simple Poll votine when time block in effect
- Regression fix printer and pdf missing styling (invoice address lines run together, etc...)
- Regression fix slingbar location not being set/recognized, esp. in NewUI/Bootstrap3
- Regression fix printer and pdf missing styling (invoice address lines run together, etc...)
- Regression fix by implementing twitter bootstrap 3 based date/time picker widget for remaining calendar controls to prevent conflict
- now forces a .less re-compile (if necessary) after an upgrade, required on sites with error-reporting off
- fix issue with attempting to swipe up/down past bootstrap 3 carousel
- we no longer ship 'overrides.php' since it is auto-generated during installation if needed

v237patch4 updates these 3rd party libraries in v237, v237patch1, v237patch2, and v237patch3:
- elFinder to v2.1.6 (previous was actually a pre-release v2.1.6), moves .quarantine folder from /file to /tmp/elfinder
- updates bootstrap-touch-carousel with Edge browser, tap, & event fixes
- quick file upload widget upgraded to v2.5.0
- easypost shipping ibrary to v3.0.2
- datatables yadcf 'filter' to v0.8.9
- CKEditor to v4.5.7
- bootstrap-pwstrength to v1.2.10
- Adminer (database manager) to v4.2.4
- TinyMCE to v4.3.4
- xmlrpc-php to v4.0.0
- jquery.datetimepicker to v1.4.6
Sign In or Register to comment.